[arch-commits] Commit in python-configargparse/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 9 15:39:19 UTC 2020


    Date: Monday, November 9, 2020 @ 15:39:19
  Author: foutrelis
Revision: 747060

archrelease: copy trunk to community-staging-any

Added:
  python-configargparse/repos/community-staging-any/
  python-configargparse/repos/community-staging-any/PKGBUILD
    (from rev 747059, python-configargparse/trunk/PKGBUILD)

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Copied: python-configargparse/repos/community-staging-any/PKGBUILD (from rev 747059, python-configargparse/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 15:39:19 UTC (rev 747060)
@@ -0,0 +1,32 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-configargparse
+pkgver=1.2.3
+pkgrel=2
+pkgdesc='A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables'
+arch=('any')
+url='https://github.com/zorro3/ConfigArgParse'
+license=('MIT')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-tests' 'python-yaml')
+optdepends=('python-yaml: for YAML support')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/bw2/ConfigArgParse/archive/$pkgver.tar.gz")
+sha512sums=('bfa8f9ca8ab5c6d4cdf2a7e7c577c99fafdf7f743c81057bebbb6045c45de2cdbf5d738f7765e5dcac5a45baa92e2a8bc7ad3879776b9cf4862e3da94e78c4cc')
+
+build() {
+  cd ConfigArgParse-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd ConfigArgParse-$pkgver
+  python setup.py test || echo 'Ignoring TestWrappingMetavar failure'
+}
+
+package() {
+  cd ConfigArgParse-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list